SA(8)

NUME
sa - sintetizează informațiile contabile

SINOPSIS

sa  [ -a | --list-all-names ]
    [ -b | --sort-sys-user-div-calls ]
    [ -c | --percentages ] [ -d | --sort-avio ]
    [ -D | --sort-tio ] [ -f | --not-interactive ]
    [ -i | --dont-read-summary-files ]
    [ -j | --print-seconds ] [ -k | --sort-cpu-avmem ]
    [ -K | --sort-ksec ] [ -l | --separate-times ]
    [ -m | --user-summary ] [ -n | --sort-num-calls ]
    [ -p | --show-paging ] [ -P | --show-paging-avg ]
    [ -r | --reverse-sort ] [ -s | --merge ]
    [ -t | --print-ratio ] [ -u | --print-users ]
    [ -v număr | --threshold număr ] [ --sort-real-time ]
    [ --debug ] [ -V | --version ] [ -h | --help ]
    [ --other-usracct-file nume-fișier ] [ --ahz hz ]
    [ --other-savacct-file nume-fișier ]
    [ [ --other-acct-file ] nume-fișier ]

DESCRIERE

sa sintetizează informațiile despre comenzile executate anterior, așa cum sunt înregistrate în fișierul acct. În plus, condensează aceste date într-un fișier de rezumat numit savacct care conține numărul de apeluri ale comenzii și resursele de sistem utilizate. Informațiile pot fi, de asemenea, rezumate pentru fiecare utilizator în parte; sa va salva aceste informații într-un fișier numit usracct.

Dacă nu se specifică niciun argument, sa va afișa informații despre toate comenzile din fișierul acct.

Dacă este apelat cu un nume de fișier ca ultim argument, sa va utiliza fișierul respectiv în locul fișierului implicit acct al sistemului.

În mod implicit, sa va sorta rezultatele în funcție de suma timpului utilizatorului și al sistemului. În cazul în care numele comenzilor au caractere neimprimabile sau sunt apelate o singură dată, sa le va sorta într-un grup numit „***other”. Dacă sunt specificate mai multe opțiuni de sortare, lista va fi sortată în funcție de cea specificată ultima în linia de comandă.

Câmpurile de ieșire sunt etichetate după cum urmează:

cpu
     suma timpului sistemului și al utilizatorului în minute cpu

re
     „timpul scurs” în minute

k
     utilizarea medie a nucleului în timp de cpu, în unități de 1k

avio
     numărul mediu de operații de In/Ieș pe execuție

tio
     numărul total de operații de In/Ieș

k*sec
     stocare integrală cpu (în kilo-secunde (ks) de nucleu)

u
     timpul cpu al utilizatorului în secunde de cpu

s
     timpul sistemului în secunde de cpu

Rețineți că aceste titluri de coloane nu apar în primul rând al tabelului, ci după fiecare intrare numerică (ca unități de măsură) din fiecare rând. De exemplu, puteți vedea „79.29re”, ceea ce înseamnă 79,29 secunde de „timp real”.

Un asterisc va apărea după numele comenzilor care s-au bifurcat, dar nu au apelat exec.

GNU sa are grijă să implementeze o serie de caracteristici care nu se găsesc în alte versiuni. De exemplu, cele mai multe versiuni de sa nu acordă atenție unor opțiuni precum „--print-seconds” și „--sort-num-calls” atunci când afișează comenzile în combinație cu opțiunile „--user-summary” sau „--print-users”. GNU sa acordă atenție acestor opțiuni dacă sunt aplicabile. De asemenea, sa de la MIPS stochează media de utilizare a memoriei sub forma unui scurt și nu a unui dublu, ceea ce duce la unele erori de rotunjire. GNU sa folosește dublu pe tot parcursul.

OPȚIUNI

Disponibilitatea acestor opțiuni de program depinde de sistemul dumneavoastră de operare. În mod specific, membrii care apar în struct acct din fișierul de antet de contabilizare a proceselor din sistemul dumneavoastră (de obicei acct.h ) determină ce indicatori vor fi prezenți. De exemplu, dacă struct acct al sistemului dumneavoastră nu are câmpul „ac_mem”, versiunea instalată a sa nu va accepta opțiunile „--sort-cpu-avmem”, „--sort-ksec”, „-k”, sau „-K”.

Pe scurt, este posibil ca toate aceste opțiuni să nu fie disponibile pe mașina dumneavoastră.

-a, --list-all-names
    Forțează sa să nu sorteze acele nume de comenzi cu caractere neimprimabile și cele utilizate o singură dată din grupul ***other.
-b, --sort-sys-user-div-calls
    Sortează rezultatul în funcție de suma timpului utilizatorului și al sistemului împărțită la numărul de apeluri.
-c, --percentages
    Afișează procentele de timp total pentru valorile utilizatorului, sistemului și timpului real ale comenzii.
-d, --sort-avio
    Sortează rezultatele în funcție de numărul mediu de operații de In/Ieș pe disc.
-D, --sort-tio
    Afișează și sortează rezultatul în funcție de numărul total de operații de In/Ieș pe disc.
-f, --not-interactive
    Atunci când se utilizează opțiunea „--threshold”, se presupune că toate răspunsurile la interogările interactive vor fi afirmative.
-i, --dont-read-summary-files
    Nu citește informațiile din fișierul implicit savacct al sistemului.
-j, --print-seconds
    În loc să afișeze minutele totale pentru fiecare categorie, afișează secundele pentru fiecare apel.
-k, --sort-cpu-avmem
    Sortează ieșirea în funcție de durata medie de utilizare a memoriei.
-K, --sort-ksec
    Afișează și sortează ieșirea în funcție de stocarea integrală a cpu.
-l, --separate-times
    Afișează coloane separate pentru timpul de sistem și cel al utilizatorului; de obicei, cele două sunt adunate și listate ca „cpu”.
-m, --user-summary
    Afișează numărul de procese și numărul de minute de procesare pentru fiecare utilizator în parte.
-n, --sort-num-calls
    Sortează ieșirea în funcție de numărul de apeluri. Aceasta este metoda de sortare implicită.
-p, --show-paging
    Afișează numărul de greșeli și schimburi de pagini minore și majore.
-P, --show-paging-avg
    Afișează numărul de erori minore și majore și de schimburi de pagini împărțit la numărul de apeluri.
-r, --reverse-sort
    Sortează elementele de la ieșire în ordine inversă.
-s, --merge
    Fuzionează datele contabile sintetizate în fișierele sintetice savacct și usracct..
-t, --print-ratio
    Pentru fiecare intrare, imprimă raportul dintre timpul real și suma timpilor de sistem și de utilizator. Dacă suma timpilor de sistem și de utilizator este prea mică pentru a fi raportată - suma este zero - în acest câmp va apărea „*ignore*”.
-u, --print-users
    Pentru fiecare comandă din fișierul de contabilitate, imprimă numele utilizatorului și numele comenzii. După imprimarea tuturor intrărilor, iese. *Notă*: această opțiune înlocuiește toate celelalte.
-v număr --threshold număr
    Imprimă comenzile care au fost executate de număr ori sau mai puține ori și așteaptă un răspuns de la terminal. Dacă răspunsul începe cu „y”, adaugă comanda la grupul „**junk**”.
--separate-forks
    Chiar nu are niciun sens pentru mine faptul că versiunea stocată a sa separă statisticile pentru un anumit executabil în funcție de faptul că acea comandă a bifurcat sau nu. Prin urmare, GNU sa reunește aceste informații dacă nu este specificată această opțiune.
--ahz hz
    Folosiți această opțiune pentru a indica programului ce ar trebui să fie AHZ (în hertzi). Această opțiune este utilă în cazul în care încercați să vizualizați un fișier acct creat pe o altă mașină care are aceeași ordine a octeților și același format de fișier ca și mașina dvs. curentă, dar are o valoare diferită pentru AHZ.
--debug
    Afișează informații interne detaliate.
-V, --version
    Afișează numărul de versiune al sa.
-h, --help
    Afișează șirul de utilizare și locațiile implicite ale fișierelor de sistem la ieșirea standard și iese.
--sort-real-time
    Sortează rezultatul în funcție de câmpul „timp real” (real time).
--other-usracct-file nume-fișier
    Scrieți sintezele în funcție de ID-ul utilizatorului în nume-fișier în loc de fișierul implicit al sistemului usracct.
--other-savacct-file nume-fișier
    Scrie sintezele în funcție de numele comenzii în nume-fișier în loc de fișierul implicit SAVACCT al sistemului.
--other-acct-file nume-fișier
    Citește din fișierul nume-fișier în loc din fișierul implicit ACCT al sistemului.

FIȘIERE
acct
    Fișierul brut de contabilizare a proceselor la nivelul întregului sistem. A se vedea acct(5) pentru mai multe detalii.
savacct
    Un rezumat al contabilității proceselor de sistem ordonate în funcție de comandă.
usracct
    Un rezumat al contabilității proceselor din sistem sortat în funcție de ID-ul utilizatorului.

ERORI
Nu există încă o bază largă de experiență pentru a compara rezultatele GNU sa cu versiunile de sa din multe alte sisteme. Problema este că fișierele de date devin mari într-un timp scurt și, prin urmare, necesită mult spațiu pe disc.

AUTOR
Utilitățile de conturi GNU au fost scrise de Noel Cragg <noel@gnu.ai.mit.edu>. Pagina de manual a fost adaptată din pagina texinfo de conturi de Susan Kleinmann <sgk@sgk.tiac.net>.

CONSULTAȚI ȘI
acct(5), ac(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.
Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.